/*
 Problema: dado um vetor a, com n numeros reais, calcular e
 imprimir a soma dos n elementos do vetor a, e selecionar e
 imprimir o maior valor dos elementos, do vetor a.

 Resolucao: O programa deve ter os seguintes passos:
  1 - definir os tipos de dados; (declarar as variaveis)
  2 - permitir que voce digite o valor do numero "n";
  3 - permitir que voc digite os elementos
      do vetor "a", um de cada vez;
  4 - calcular a soma dos elementos do vetor a;
  5 - imprimir o valor obtido para soma;
  6 - selecionar o maior valor dos elementos, do vetor a;
  7 - imprimir o valor obtido para maior, no passo anterior;

 descricao das variaveis
  n - tamanho do vetor - quantidade de elementos do vetor;
  i - contador de repeticao, indice usado para
      acessar os elementos do vetor;
  a - representa o vetor;
  s - guarda a soma dos elementos do vetor a
  y - guarda o maior valor dos elementos, do vetor a
*/

#include <stdio.h> //arquivo de inclusao para entrada e saida (printf, scanf)

int main()
{
   /* define o tipo de dados */
   int n, i;
   float a[10], s, y;

   /* entrada de dados */
   printf("\nEntre com o tamanho do vetor a, no maximo 10 (n): ");
   scanf("%d",&n);

   printf("\nDigite os elementos do vetor a: ");
   for (i = 0; i < n; i = i + 1) {
     scanf("%f", &a[i]);
   }

   /* cacular a soma dos elementos do vetor a */
   s = 0;//zerar a soma - define o valor inicial da soma
   for (i = 0; i < n; i++) {
      s = s + a[i];//somar os elementos do vetor a
   }//fim for
   printf (" \nSoma dos elementos do vetor a: %f", s);

   // selecionar o maior valor dos elementos, do vetor a;
   y = a[0]; // define o valor inicial, do maior valor dos elementos do vetor a
   for (i = 0; i < n; i = i + 1) {
      if (a[i] > y) // selecionar o maior valor
      {
         y = a[i]; // atualizar o valor y
      } // fim se
   } // fim for

   printf ("\n\nMaior elemento do vetor a: %f", y);

   printf("\n");//avana uma linha

   return 0;
}
